import { AxiosRequestConfig } from 'axios';
/**
 * @ignore
 * not part of public api, don't include in generated docs
 */
interface OcRequestConfig extends AxiosRequestConfig {
    impersonating?: boolean;
    accessToken?: string;
}
declare class HttpClient {
    constructor();
    get: (path: string, config?: OcRequestConfig) => Promise<any>;
    post: (path: string, config?: OcRequestConfig) => Promise<any>;
    put: (path: string, config?: OcRequestConfig) => Promise<any>;
    patch: (path: string, config?: OcRequestConfig) => Promise<any>;
    delete: (path: string, config: OcRequestConfig) => Promise<any>;
    private makeApiCall;
    private _addTokenToConfig;
    private _resolveToken;
    private _buildRequestConfig;
}
declare const _default: HttpClient;
export default _default;
